• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • ultrasn0w 1.2 Out - Unlocks "Stuck" iPhone 3G/3GS


    The DevTeam has released ultrasn0w 1.2 - with a clever feature for those of you who've had an iPhone 3G or 3G[S] with a baseband later than 05.13.04.

    It turns out that the very first iPad firmware 3.2.2 has baseband version 06.15.00 still vulnerable to AT+XAPP. The iPad baseband is built for the exact same baseband chip as the iPhone3G/3GS — they’re fully compatible!
    For many iPhone 3G and iPhone 3G[S] users, you've been stuck at baseband 05.14 or 05.15 and unable to unlock because there is no carrier unlock available for those basebands on those phones. The Dev Team found the iPad baseband is actually a *higher* version number, but it STILL VULNERABLE to the ultrasn0w unlock exploit, as well as being FULLY COMPATIBLE with the iPhone 3G and 3G[S].

    Meaning?

    If - AND ONLY IF - you've got either of those devices (3G/3G[S]) and NEED an unlock but can't because your baseband is 05.14 or 05.15... you can now upgrade your baseband to the iPad one (06.15) and use ultrasn0w to unlock. This should NOT be done unless you absolutely need to. Here's the full warning posted by the Dev Team as to why:

    WARNING — YOU DO THIS AT YOUR OWN RISK! PLEASE UNDERSTAND THE CONSEQUENCES OF UPDATING TO 06.15.
    • There is no way to come back down from 06.15, and there’s no hiding the baseband version from Apple. You’ll be voiding your warranty in a very obvious way.[/B]
    • If some future baseband comes out with a critical fix, you won’t be able to update to it if it remains down in the 05.xx sequence (then again, you wouldn’t update to it if you wanted to keep your unlock anyway).
    • Starting with FW 4.2.1 if you have 06.15 on your iPhone you won’t ever be able to restore to stock firmware (it will fail). You’ll need to only restore to custom IPSWs (then again, if you’re unlocker you should already be doing that).
    Certainly don’t update to 06.15 if you don’t need to! Only do this if you need the unlock and you’re stuck on 05.14 or 05.15, and you’re willing to assume the above risks.
    We'll have a full guide up asap, but they include basic instructions in their blog post detailing how to do so using redsn0w 0.9.6beta5 or Pwnage Tool 4.1.3 Unlock Edition.

    This does NOT unlock the iPhone 4 yet. The Dev Team gave this info:

    The i4 unlock is taking more effort though, and no further concrete info is available about that yet.
    There's a lot of info in that post, so read up, but basically - stuck 3G and 3G[S] users can finally breathe a sigh of relief.
    This article was originally published in forum thread: ultrasn0w 1.2 Out - Unlocks "Stuck" iPhone 3G/3GS started by Kyle Matthews View original post
    Comments 118 Comments
    1. dying4004's Avatar
      dying4004 -
      Quote Originally Posted by dying4004 View Post
      1 of my friend got iphone4 with ios 4.1 with baseband 1.59 and unlocked with ultrasn0w 1.1.1. yesterday he updated ultrasn0w to 1.2 and now he got no service. will uninstalling 1.2 and reinstalling 1.1.1 solve his prob? cheers
      i just uninstalled ultrasn0w 1.2 and reinstalled 1.1.1 and voila everything came back normal.
    1. Simon's Avatar
      Simon -
      Good to know, I guess ultrasn0w 1.2 is a bit buggy on iPhone 4 1.59.00 baseband. I wonder if anyone else has had this issue.
    1. capttanhowdy's Avatar
      capttanhowdy -
      I've had this exact issue. I had to reboot and reinstall everytime I have turned off my i4.
    1. rreynoso7's Avatar
      rreynoso7 -
      I try to reset the mnetwork settings and turn off 3g but still the same, i get a signal for a minute and then no service.

      Does anyone know about this or probably is a phone defect. I have another iphone and i get great reception with the same sim card
    1. jyoti01's Avatar
      jyoti01 -
      How long we hav to wait for iphone 4 ??
    1. rhygin's Avatar
      rhygin -
      Problem with no carrier after ultrasn0w solved:

      iPhone 3GS old bootrom
      Updated to Stock Firmware 4.2.1 with bb 05.15
      Jailbreak with redsn0w with iPad baseband 06.15
      but never got a carrier.
      After trial and error jailbreakng about 50 times in any which way you could imagine
      I have finally found out that I have a "tethered lock" meaning if I boot my phone with a t-mobile sim I get a carrier an can the swap sims and still be unlocked

      But only until next boot.
      If I have any other card than the t-mobile sim in it while booting I get no carrier and am then locked completely not even t-mobile works.

      I had to buy a pre-paid xtra-card during my trial and errors to activate the phone
      That means I'll be paying t-mobile an annual unloccking fee a few Euros just to keep the t-mobile sim alive ;-))


      Hope this helps somewith the no carrier problem.
    1. jdm.accord's Avatar
      jdm.accord -
      I did the redsn0w iPad BB install on 4.1 but is it now impossible to upgrade to 4.2.1? If its possible, how would that be done since I can't use official firmware now that my BB is sky high?
    1. Simon's Avatar
      Simon -
      You would have to use a custom 4.2.1 made with pwnage tool
    1. scottspaz's Avatar
      scottspaz -
      I have baseband 05.13.04 on FW 4.1 (safe), is there a way I can update to 4.2 but preserve my baseband so I can unlock without using the iPad firmware?
    1. Simon's Avatar
      Simon -
      Quote Originally Posted by scottspaz View Post
      I have baseband 05.13.04 on FW 4.1 (safe), is there a way I can update to 4.2 but preserve my baseband so I can unlock without using the iPad firmware?
      Yes you have to make a custom 4.2.1 with pwnage tool with no baseband update.
    1. gouravmehta's Avatar
      gouravmehta -
      I have iphone 3g baseband 05.14.02. How can i unlock my iphone.
    1. Simon's Avatar
      Simon -
      Quote Originally Posted by gouravmehta View Post
      I have iphone 3g baseband 05.14.02. How can i unlock my iphone.
      Check here: [How To] Check if you can Unlock
    1. MikeMiamiFL's Avatar
      MikeMiamiFL -
      I have 3GS newer bootrom previously on 05.14.02.. Did not touch 4.2 at all.. (I don't want to be tethered) I used redsnow and jailbroke to stock 4.1FW (what the phone was running before unlock)

      All is good used redsnow to jailbreak & got to remain on 4.1 untethered. BB upgraded to 06.15.00 (most likely permanently) so I was able to run ultrasnow 1.2 and finally support my TMobile service on phone. Not too happy about GPS being all cracked out on me but everything that has presented itself as an issue so far I've performed the procedures the Dev team have dished out and so far the battery drain GONE, the activated sim GONE taken care of with SAM. anyway I'm sure the gps is next on list.. Thanks DEV TEAM!!

      Just thought I'd give a testimonial
    1. scottspaz's Avatar
      scottspaz -
      what if im running windows? does the new redsnow preserve my bb?
    1. Simon's Avatar
      Simon -
      No redsnow does not preserve baseband.
    1. MikeMiamiFL's Avatar
      MikeMiamiFL -
      BB 06.15.00 downgrade??

      Check this out....
      =)

      http://www.geohot.us/2010/12/downgra...ne-3gs-3g.html
    1. locobans's Avatar
      locobans -
      ^^ Good info should be posted in MAIN PAGE.
    1. MikeMiamiFL's Avatar
      MikeMiamiFL -
      Quote Originally Posted by locobans View Post
      ^^ Good info should be posted in MAIN PAGE.
      Feel free.. There's the link... re-post it wherever you feel it's appropriate. That's what were all about. IPhone users community lookin out for eachother and helping in any way we can...